Skip to content

Overview

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/subscriptions/
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Security
subscriptionsManagementJwtAuth
Path
subscription_idinteger\d+required
project_idinteger\d+required
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/payment_account' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Get payment account info

Bodyapplication/json
idintegerrequired
Example: "123"
typestringrequired
Example: "card"
namestring or null
Example: "** 7398"
card_expiry_dateobject or null
ps_namestring or null
Example: "Mastercard"
switch_icon_namestring or null
Example: "mastercard.svg"
Response
application/json
{ "id": "123", "type": "card", "name": "** 7398", "card_expiry_date": { "year": "2023", "month": "09" }, "ps_name": "Mastercard", "switch_icon_name": "mastercard.svg" }

Request

Security
subscriptionsManagementJwtAuth
Path
subscription_idinteger\d+required
project_idinteger\d+required
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/activate' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Move subscription from non-renew to active

Bodyapplication/json
Response
application/json
{ "status": "successful" }